#
#   POUR MONTRER qu'il n'y aura qu'un UNIQUE volume partage entre les differents replicas de pod
#
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: service-avec-stockage-dyn
  name: service-avec-stockage-dyn
spec:
  replicas: 2
  selector:
    matchLabels:
      app: service-avec-stockage-dyn
  template:
    metadata:
      labels:
        app: service-avec-stockage-dyn
    spec:
      containers:
      - name: serveurweb
        image: nginx:alpine
        imagePullPolicy: IfNotPresent
        volumeMounts:
        - name: fichierswebstatiques
          mountPath: /usr/share/nginx/html
#      nodeName: noeud2
      volumes:
      - name: fichierswebstatiques
        persistentVolumeClaim:
          claimName: essai-dpvc
#  volumeClaimTemplates:   ne semble pas fonctionner. NORMAL, c'est uniquement pour les StatefulSet :  k explain statefulset.spec.volumeClaimTemplates
#    - metadata:           ET https://yevhenii-m.medium.com/volumeclaimtemplate-usage-with-persistent-volumes-on-pre-provisioned-storages-nfs-aws-efs-60e5deed6256
#        name: fichierswebstatiques
#      spec:
#        accessModes:
#          - ReadWriteOnce
#        storageClassName: microk8s-hostpath
#        resources:
#          requests:
#            storage: 500Mi
